TICKIT_PEN_ATTRNAME(3)

NAME
tickit_pen_attrname - return the name of a pen attribute

SYNOPSIS
    #include <tickit.h>

    const char * tickit_pen_attrname(TickitPenAttr attr);
    TickitPenAttr tickit_pen_lookup_attr(const char * name);

Link with -ltickit.

DESCRIPTION
tickit_pen_attrname() returns the name of the given pen attribute. These names are the lowercase strings given in tickit_pen(7).

tickit_pen_lookup_attr() returns the attribute constant for a given name. If the name is not recognised then -1 is returned.

RETURN VALUE
tickit_pen_attrname() returns a constant string pointer. tickit_pen_lookup_attr() returns an attribute constant or -1.

SEE ALSO
tickit_pen(7), tickit(7)